#pragma once
#include <cmath>  // pour sqrt

class Complexe {
public:
  
  // accesseurs
  double x()     const { return x_; }
  double y()     const { return y_; }
  double rho()   const { return sqrt(x_ * x_ + y_ * y_); }
  double theta() const;

  // manipulateurs
  void cartesiennes(double abscisse, double ordonnee) 
    { x_ = abscisse ;  y_ = ordonnee ; }
  void polaires(double module, double argument);

  /* bof bof...
  void set_x(double abscisse) 
    { cartesiennes(abscisse, y()); }
  void set_y(double ordonnee) 
    { cartesiennes(x(), ordonnee); }
  void set_rho(double module) 
    { polaires(module, theta()); }
  void set_theta(double argument) 
    { polaires(rho(), argument); }
  */

  // autres oprations
  Complexe conjugue() const {
    // sera plus simple  crire quand nous aurons les constructeurs
    Complexe c;
    c.cartesiennes(x_, -y_);
    return c;
  }

private:  // un choix d'implmentation parmi d'autres
  double x_;
  double y_;
};
